## ros-melodic-rotors-control 2.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rotors_control)

add_definitions(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  geometry_msgs
  mav_msgs
  nav_msgs
  roscpp
  sensor_msgs
  cmake_modules
)

find_package(Eigen3 REQUIRED)

catkin_package(
  INCLUDE_DIRS include ${Eigen3_INCLUDE_DIRS}
  LIBRARIES lee_position_controller roll_pitch_yawrate_thrust_controller
  CATKIN_DEPENDS geometry_msgs mav_msgs nav_msgs roscpp sensor_msgs
  DEPENDS Eigen3
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${Eigen3_INCLUDE_DIRS}
)

add_library(lee_position_controller
  src/library/lee_position_controller.cpp
)

add_library(roll_pitch_yawrate_thrust_controller
  src/library/roll_pitch_yawrate_thrust_controller.cpp
)

target_link_libraries(lee_position_controller ${catkin_LIBRARIES})
add_dependencies(lee_position_controller ${catkin_EXPORTED_TARGETS})

target_link_libraries(roll_pitch_yawrate_thrust_controller ${catkin_LIBRARIES})
add_dependencies(roll_pitch_yawrate_thrust_controller ${catkin_EXPORTED_TARGETS})

add_executable(lee_position_controller_node src/nodes/lee_position_controller_node.cpp)
add_dependencies(lee_position_controller_node ${catkin_EXPORTED_TARGETS})
target_link_libraries(lee_position_controller_node
  lee_position_controller ${catkin_LIBRARIES})

add_executable(roll_pitch_yawrate_thrust_controller_node
  src/nodes/roll_pitch_yawrate_thrust_controller_node.cpp)
add_dependencies(roll_pitch_yawrate_thrust_controller_node ${catkin_EXPORTED_TARGETS})
target_link_libraries(roll_pitch_yawrate_thrust_controller_node
  roll_pitch_yawrate_thrust_controller ${catkin_LIBRARIES})

install(TARGETS lee_position_controller roll_pitch_yawrate_thrust_controller
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(TARGETS lee_position_controller_node roll_pitch_yawrate_thrust_controller_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

=== debian/changelog ===
ros-melodic-rotors-control (2.2.3-0stretch) stretch; urgency=high



 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Wed, 12 Dec 2018 23:00:00 -0000

ros-melodic-rotors-control (2.2.2-0stretch) stretch; urgency=high



 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Tue, 11 Dec 2018 23:00:00 -0000

ros-melodic-rotors-control (2.2.0-0stretch) stretch; urgency=high

  * switch to package format 2
  * switch to Eigen3 from Eigen
  * Merge pull request #466 <https://github.com/ethz-asl/rotors_simulator/issues/466> from ethz-asl/fix/lee_position_controller_nodehandle
    make node handles member variables
  * make nh member variable
    The NodeHandle (and the subscribers/publishers) are deleted if they go
    out of scope. I am not sure how it was working all this time.
  * Merge pull request #397 <https://github.com/ethz-asl/rotors_simulator/issues/397> from ethz-asl/v2.1.1
    update to 2.1.1
  * Contributors: Fadri Furrer, Mina Kamel

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Sun, 09 Dec 2018 23:00:00 -0000

ros-melodic-rotors-control (2.1.1-0stretch) stretch; urgency=high

  * update maintainers
  * Contributors: fmina

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Wed, 26 Apr 2017 22:00:00 -0000

ros-melodic-rotors-control (2.1.0-0stretch) stretch; urgency=high

  * Removing unfinished parts of px4 dummy controller and gazebo mavlink interface. Refactoring gazebo mavlink interface.
  * set all queue lengths to 1
  * make rotors_control CMakeLists consistent with upstream
  * bring rotors_control CMakeLists closer to upstream
  * update launch and xacro files to new names, update use of odometry plugin
  * px4 dummy controller: fix include paths after merge
  * fix include dir
  * move px4 files to new directories
  * Contributors: Fadri Furrer, Thomas Gubler, pvechersky

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Fri, 07 Apr 2017 22:00:00 -0000

ros-melodic-rotors-control (2.0.1-0stretch) stretch; urgency=high



 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Sun, 09 Aug 2015 22:00:00 -0000

ros-melodic-rotors-control (2.0.0-0stretch) stretch; urgency=high

  * Converted to new mav_comm messages, including new MultiDOFJointTrajectory and PoseStamped as waypoints.
  * Added subscriber for MultiDOFJointTrajectory messages and extended waypoint_publisher_file to test it. resolves #243 <https://github.com/ethz-asl/rotors_simulator/issues/243>
  * Contributors: Helen Oleynikova, Markus Achtelik

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Sat, 08 Aug 2015 22:00:00 -0000

ros-melodic-rotors-control (1.1.6-0stretch) stretch; urgency=high



 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Wed, 10 Jun 2015 22:00:00 -0000

ros-melodic-rotors-control (1.1.5-0stretch) stretch; urgency=high

  * added install targets

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Mon, 08 Jun 2015 22:00:00 -0000

ros-melodic-rotors-control (1.1.4-0stretch) stretch; urgency=high



 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Wed, 27 May 2015 22:00:00 -0000

ros-melodic-rotors-control (1.1.3-0stretch) stretch; urgency=high

  * added installation of controller libraries

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Wed, 27 May 2015 22:00:00 -0000

ros-melodic-rotors-control (1.1.2-0stretch) stretch; urgency=high

  * added nav_msgs dependency and fixed rotors_evaluation's setup.py

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Tue, 26 May 2015 22:00:00 -0000

ros-melodic-rotors-control (1.1.1-0stretch) stretch; urgency=high



 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Thu, 23 Apr 2015 22:00:00 -0000

ros-melodic-rotors-control (1.1.0-0stretch) stretch; urgency=high

  * initial Ubuntu package release

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Thu, 23 Apr 2015 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-rotors-control
Section: misc
Priority: extra
Maintainer: Fadri Furrer <fadri.furrer@mavt.ethz.ch>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-mav-msgs, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs
Homepage: https://github.com/ethz-asl/rotors_simulator
Standards-Version: 3.9.2

Package: ros-melodic-rotors-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-cmake-modules, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-mav-msgs, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs
Description: RotorS control package
